<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Repositories\Admin\ArchivesRepository;
use Illuminate\Http\Request;

class ArchivesController extends Controller
{
    /**
     * @var ArchivesRepository
     */
    private $archivesRepository;

    public function __construct(ArchivesRepository $archivesRepository)
    {

        $this->archivesRepository = $archivesRepository;
        $this->middleware(['permission:archives,admin']);
    }

    public function index()
    {
        $rows = $this->archivesRepository->index();
        $sms_rows = [];
        return view('admin.archives', compact('rows', 'sms_rows'));

    }
}
