<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Repositories\Admin\ComplaintsRepository;
use Illuminate\Http\Request;

class ComplaintsController extends Controller
{
    /**
     * @var ComplaintsRepository
     */
    private $complaintsRepository;

    public function __construct(ComplaintsRepository $complaintsRepository)
    {
        $this->complaintsRepository = $complaintsRepository;
        $this->middleware(['permission:admin_complaints,admin']);

    }

    public function index()
    {
        $rows = $this->complaintsRepository->index();
        $sms_rows = [];
        return view('admin.complaints.index', compact('rows', 'sms_rows'));
    }

    public function show($id)
    {
        $row = $this->complaintsRepository->show($id);
        return view('admin.complaints.show', compact('row'));
    }

    public function adminComplaintsFetch()
    {
        return $this->complaintsRepository->adminComplaintsFetch();
    }

    public function adminControlComplaint($status)
    {


        return $this->complaintsRepository->updateComplaint($status);


    }

    public function admin_compliant_search_ajax(Request $request)
    {
        $rows = $this->complaintsRepository->complaintCode($request['compliant_code']);

        $compliantSearch = view('admin.complaints.table', compact('rows'))->render();

        return response()->json(['value' => true, 'compliantSearch' => $compliantSearch]);
    }
    public function store(Request  $request){
        $this->validate($request,[
            'order_id'=>'required',
            'notes'=>'required',
        ]);
        return $this->complaintsRepository->store($request);

    }

}
