<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Repositories\Admin\CountriesRepository;
use Illuminate\Http\Request;

class CountriesController extends Controller
{
    private $countryRepository;

    public function __construct(CountriesRepository $countryRepository )
    {
        $this->countryRepository = $countryRepository;
        $this->middleware(['permission:countries,admin']);
    }

    public function index()
    {
        $rows = $this->countryRepository->index();
        return view('admin.countries.index', compact('rows'));
    }

    public function store(Request $request)
    {


        $this->validate($request, [
            'name_ar' => 'required',
            'name_en' => 'required'
        ]);
        return $this->countryRepository->store();
    }


    public function update($id, Request $request)
    {
        $this->validate($request, [
            'name_ar' => 'required',
            'name_en' => 'required'
        ]);

        return $this->countryRepository->update($id);
    }

    public function destroy($id)
    {

        return $this->countryRepository->destroy($id);
    }
}
