<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Repositories\WorkerRefuseRepository;
use Illuminate\Http\Request;

class WorkerRefuseController extends Controller
{
    /**
     * @var WorkerRefuseRepository
     */
    private $refuseRepository;

    public function __construct(WorkerRefuseRepository $refuseRepository)
    {
        $this->refuseRepository = $refuseRepository;
        $this->middleware(['permission:worker_refuse,admin']);
    }

    public function index()
    {
        $rows = $this->refuseRepository->index();
        $sms_rows = [];
        return view('admin.worker_refuse', compact('rows', 'sms_rows'));
    }
}
