<?php

namespace App\Http\Controllers\Workers;

use App\Http\Controllers\Controller;
use App\Repositories\Worker\AlertsRepository;
use Illuminate\Http\Request;

class AlertsController extends Controller
{


    private $alertsRepository;

    public function __construct(AlertsRepository $alertsRepository)
    {
        $this->alertsRepository = $alertsRepository;
    }

    public function index()
    {
        $rows  = $this->alertsRepository->index();
        return view('site.saudi.alerts',compact('rows'));
    }

    public function alert_search_ajax(Request  $request){


        $rows = $this->alertsRepository->alertSearch($request['alert_id']);

        $alertsResults = view('site.saudi.alertsResults',compact('rows'))->render();

        return response()->json(['value'=>true,'alertsResults'=>$alertsResults]);
    }
}
