<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Licenses extends Model
{
    use HasFactory;

    protected $fillable = ['name', 'start_licence', 'end_licence', 'start_renew_licence', 'end_renew_licence', 'image', 'check_date','code'];
    protected $table = 'licenses';

    public function setImageAttribute()
    {
        $file = request()->file('image');
        $destinationPath = 'images/licences/';
        $filename = time() . '.' . $file->getClientOriginalExtension();
        $file->move($destinationPath, $filename);
        $this->attributes['image'] = $filename;
    }

    public function getImageAttribute()
    {
        if ($this->attributes['image']) {
            return asset('images/licences/') . '/' . $this->attributes['image'];
        }
        return asset('logo.png');
    }

}
