<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class OrderUpdateRequests extends Model
{
    use HasFactory;

    protected $table = 'order_update_requests';
    public $timestamps = true;
    protected $fillable = ['client_id', 'order_id', 'office_id', 'status', 'message'];
    protected $casts = ['message' => 'json'];

    public function client()
    {
        return $this->belongsTo(User::class, 'client_id');
    }

    public function order()
    {
        return $this->belongsTo(Order::class, 'order_id');
    }

    public function office()
    {
        return $this->belongsTo(User::class, 'office_id');
    }

}
