<?php


namespace App\Repositories\Client;


use App\Mail\OrderMail;
use App\Models\Alert;
use App\Models\Order;

class AlertsRepository
{

    public function alerts()
    {
        $rows = \Auth::user()->alerts()->latest()->get();
        $order = new OrdersRepository();
        $orders = $order->client_orders();
        return view('site.client.alerts', compact('rows', 'orders'));
    }

    public function store_alert()
    {
        $alert = new Alert();
        $alert->order_id = request()->order_id;
        $alert->user_id = \Auth::user()->id;
        $alert->type = request()->type;
        $alert->notes = request()->notes;
        $alert->save();
        success_toast();
        return redirect()->back();
    }

    public function adminStoreAlert()
    {
        $order_ids = request()->ids;
        $notes = request()->notes;
        $type = request()->type;

        foreach ($order_ids as $order_id) {
            $order = Order::find($order_id);


            Alert::create([
                'user_id' => $order->client_id,
                'order_id' => $order->id,
                'type' => $type,
                'notes'=>$notes,
                'status'=>'new'
            ]);




            if ($order->follow_type == 'sms' || $order->follow_type == 'both') {
                $client_mobile = $order->client->mobile;
                //ارسال رسالة على الجوال

            }

            if ($order->follow_type == 'email' || $order->follow_type == 'both') {
                $client_email = $order->client->email;
                //ارسال رسالة على البريد الالكترونى
                \Mail::to($client_email)->send(new OrderMail($notes));
            }
        }
        alert(\Lang::get('data.doneSuccessfully'), \Lang::get('data.messageSentSuccessfully'), 'success');
        return redirect()->back();
    }
}
