<?php


namespace App\Repositories\Client;


use App\Models\User;
use App\Repositories\Worker\SendMessagesRepository;

class UsersRepository
{

    public function login()
    {
        if (\Auth::attempt(['mobile' => request()->mobile, 'password' => request()->password, 'type' => 'client', 'status' => 'active'])) {
            $user = \Auth::user();
            if ($user->first_login == 'true') {
                $user->first_login = 'false';
                $user->update();
//                toast(\Lang::get('data.youAreLoggedInSuccessfully'), 'success');
//                return redirect()->route('new_first_password_form');
            }
            toast(\Lang::get('data.youAreLoggedInSuccessfully'), 'success');
            return redirect()->route('client_home');
        }
        alert(\Lang::get('data.error'), \Lang::get('data.incorrectMobileNumberOrPassword'), 'error');
        return redirect()->back();
    }


    public function new_first_password()
    {
        $user = \Auth::user();
        $user->password = bcrypt(request()->password);
        $user->update();
        toast(\Lang::get('data.passwordChangedSuccessfully'), 'success');
        return redirect()->route('client_home');
    }

    public function forget_password_check_mobile()
    {
        $user = User::where(['mobile' => request()->mobile, 'type' => 'client'])->first();

        if (!$user) {
            alert(\Lang::get('data.error'), \Lang::get('data.thereIsNoCustomerWithThisNumber'), 'error');
            return redirect()->back();
        }

        \Session::put('mobile', request()->mobile);
        $code = rand('111', '999') . $user->id;
        $user->verification_code = $code;
        $user->update();
        //ارسال رساله كود التاكيد على الجوال

        return view('site.client.mobile_confirm');

    }

    public function mobile_confirm()
    {
        $mobile = \Session::get('mobile');
        $user = User::where('mobile', $mobile)->first();
        if ($user->verification_code == request()->verification_code) {
            $user->verification_code = null;
            $user->update();
            return view('site.client.change_password');
        }
        toast(\Lang::get('data.codeError'), 'error');
        return redirect()->back();
    }


    public function change_password()
    {
        $mobile = \Session::get('mobile');
        $user = User::where('mobile', $mobile)->first();
        $user->password = bcrypt(request()->password);
        $user->update();
        \Session::forget('mobile');
        toast(\Lang::get('data.passwordChangedSuccessfully'), 'success');
        return redirect()->route('client_home');
    }

    public function update_profile()
    {
        $user = \Auth::user();
        $user->name = request()->name;
        $user->email = request()->email;
        $user->mobile = request()->mobile;
        if (request()->password) $user->password = request()->mobile;
        $user->update();

        toast(\Lang::get('data.profileUpdatedSuccessfully'), 'success');
        return redirect()->back();
    }

    public function checkUserExist()
    {
        return User::whereEmail(request()->client_email)->first();
    }

    public function createNewAccount($request)
    {
        $client = User::whereMobile(request()->client_mobile)->first();


        if (!$client) {

            $client = new User();
            $client->name = request()->client_name;
            $client->email = request()->client_email;

//            $first_check = substr(request()->client_mobile, 0, 1);
//            if ($first_check == 0) {
//                $mobile = substr(request()->client_mobile, 0);
//                $client->mobile = $mobile;
//            } else {
//                $client->mobile = request()->client_mobile;
//            }
            $client->mobile = request()->client_mobile;
            $client->type = 'client';
            $client->id_number = request()->id_number;
            $sent_password = rand(1111, 9999);
            $client->password = bcrypt($request['civil_registry']);
            $client->first_login = 'true';
            $client->civil_registry = $request['civil_registry'];
            $client->city = $request['city'];
            $client->area = $request['area'];
            $client->family_count = $request['family_count'];
            $client->social_status = $request['social_status'];
            $client->another_mobile = $request['another_mobile'];
            $client->client_name_english = $request['client_name_english'];
            $client->client_birthday = $request['client_birthday'];
            $client->city_id = $request['city_id'];
            $client->file_number = $request['file_number'];
            $client->save();

        } else {

            $client->name = request()->client_name;
            $client->email = request()->client_email;

//            $first_check = substr(request()->client_mobile, 0, 1);
//            if ($first_check == 0) {
//                $mobile = substr(request()->client_mobile, 0);
//                $client->mobile = $mobile;
//            } else {
//                $client->mobile = request()->client_mobile;
//            }
            $client->mobile = request()->client_mobile;
            $client->id_number = request()->id_number;
            $client->civil_registry = $request['civil_registry'];
            $client->area = $request['area'];
            $client->family_count = $request['family_count'];
            $client->social_status = $request['social_status'];
            $client->another_mobile = $request['another_mobile'];
            $client->client_name_english = $request['client_name_english'];
            $client->client_birthday = $request['client_birthday'];
            $client->city_id = $request['city_id'];
            $client->file_number = $request['file_number'];
            $client->update();
        }
        return $client;

    }

    public function Offices($country_id)
    {
        return User::whereType('foreign')->whereCountryId($country_id)->get();
    }

    public function office_name($office_id)
    {
        return User::whereId($office_id)->value('name');
    }
}
