<?php


namespace App\Repositories\Foreign;


use App\Models\User;

class UsersRepository
{

    public function login()
    {


        if (\Auth::attempt(['mobile' => request()->mobile, 'password' => request()->password, 'type' => 'foreign','status'=>'active'])) {
            $user = \Auth::user();

            toast(\Lang::get('data.youAreLoggedInSuccessfully'), 'success');
            return redirect()->route('foreign_home');
        }
        alert(\Lang::get('data.error'), \Lang::get('data.incorrectMobileNumberOrPassword'), 'error');
        return redirect()->back();
    }


    public function new_first_password()
    {
        $user = \Auth::user();
        $user->password = bcrypt(request()->password);
        $user->update();
        toast(\Lang::get('data.passwordChangedSuccessfully'), 'success');
        return redirect()->route('foreign_home');
    }

    public function forget_password_check_mobile()
    {
        $user = User::where(['mobile' => request()->mobile, 'type' => 'foreign'])->first();
        if (!$user) {
            alert(\Lang::get('data.error'), \Lang::get('data.thereIsNoEmployeeWithThisNumber'), 'error');
            return redirect()->back();
        }
        \Session::put('mobile', request()->mobile);
        $code = rand('111', '999') . $user->id;
        $user->verification_code = $code;
        $user->update();
        //ارسال رساله كود التاكيد على الجوال

        return view('site.foreign.mobile_confirm');

    }

    public function mobile_confirm()
    {
        $mobile = \Session::get('mobile');
        $user = User::where('mobile', $mobile)->first();
        if ($user->verification_code == request()->verification_code) {
            $user->verification_code = null;
            $user->update();
            return view('site.foreign.change_password');
        }
        toast(\Lang::get('data.codeError'), 'error');
        return redirect()->back();
    }


    public function change_password()
    {
        $mobile = \Session::get('mobile');
        $user = User::where('mobile', $mobile)->first();
        $user->password = bcrypt(request()->password);
        $user->update();
        \Session::forget('mobile');
        toast(\Lang::get('data.passwordChangedSuccessfully'), 'success');
        return redirect()->route('foreign_home');
    }

    public function clientInfo($client_mobile)
    {

        $client_check = User::whereMobile($client_mobile)->first();
        if ($client_check) {
            return response()->json(['value' => 'true', 'client_name' => $client_check->name, 'client_email' => $client_check->email, 'id_number' => $client_check->id_number, 'client_residency_number' => $client_check->client_residency_number, 'city' => $client_check->city, 'another_mobile' => $client_check->another_mobile, 'social_status' => $client_check->social_status, 'area' => $client_check->area, 'family_count' => $client_check->family_count, 'civil_registry' => $client_check->civil_registry]);
        } else {
            return response()->json(['value' => 'false']);
        }

    }


}
