@include('admin.controllers.header')
@include('admin.controllers.upper-header')

<!-- start sidebar -->
@include('admin.controllers.sidebar')
<!-- end sidebar -->

<!-- start admin title -->
<div class="admin-title">
    <div class="container">
        <div class="admin-title-h">
            <img src="{{asset('admin/images/titles/settings.svg')}}" alt="">
            <h4>تعديل مكتب اجنبي</h4>
        </div>
    </div>
</div>
</div>
<!-- start admin title -->
<!-- start body content -->


<div class="container">

    <form action="{{route('foreign.update', $row->id)}}" method="post" enctype="multipart/form-data">
        @csrf
        @method('PATCH')
        <div class="mb-40">
            <div class="title-head">
                <h4>تعديل مكتب اجنبي</h4>
            </div>
            <div class="box-border">
                <div class="row">
                    <div class="col-sm-6">
                        <div class="input-group">
                            <h6><strong>الاسم</strong></h6>
                            <input name="name" type="text" class="form-control" value="{{$row->name}}" id="">
                        </div>
                        @if ($errors->has('name'))
                            <small class="text-danger">{{ $errors->first('name') }}</small>
                        @endif
                    </div>
                    <div class="col-sm-6">
                        <div class="input-group">
                            <h6><strong>البريد الالكترونى</strong></h6>
                            <input name="email" type="email" class="form-control" value="{{$row->email}}" id="">
                        </div>
                        @if ($errors->has('email'))
                            <small class="text-danger">{{ $errors->first('email') }}</small>
                        @endif
                    </div>
                    <div class="col-sm-6">
                        <div class="input-group">
                            <h6><strong>رقم الجوال</strong></h6>
                            <input name="mobile" type="text" class="form-control" value="{{$row->mobile}}" id="">
                        </div>
                        @if ($errors->has('mobile'))
                            <small class="text-danger">{{ $errors->first('mobile') }}</small>
                        @endif
                    </div>

                    <div class="col-sm-6">
                        <div class="input-group">
                            <h6><strong>الدول</strong></h6>
                            <select name="country_id" class="form-control" id="">
                                <option selected disabled>اختر الدولة</option>
                                @foreach($countries as $country)
                                    <option
                                        {{$row->country_id == $country->id ? 'selected' : ''}} value="{{$country->id}}">{{$country->name['ar']}}</option>
                                @endforeach
                            </select>
                            @if ($errors->has('country_id'))
                                <small class="text-danger">{{ $errors->first('country_id') }}</small>
                            @endif
                        </div>
                    </div>

                    <div class="col-sm-6">
                        <div class="input-group">
                            <h6><strong>كلمة المرور</strong></h6>
                            <input name="password" type="password" class="form-control" value="{{old('password')}}"
                                   id="">
                        </div>
                        @if ($errors->has('password'))
                            <small class="text-danger">{{ $errors->first('password') }}</small>
                        @endif
                    </div>
                    <div class="col-sm-6">
                        <div class="input-group">
                            <h6><strong>الحالة</strong></h6>
                            <select name="status" class="form-control" id="">
                                <option {{$row->status == 'active' ? 'selected' : ''}}  value="active">مفعل</option>
                                <option {{$row->status == 'not_active' ? 'selected' : ''}} value="not_active">غير مفعل
                                </option>
                            </select>
                        </div>
                        @if ($errors->has('status'))
                            <small class="text-danger">{{ $errors->first('status') }}</small>
                        @endif
                    </div>
                    <div class="col-sm-6">
                        <div class="input-group">
                            <h6><strong>مكتب تثق به</strong></h6>
                            <select name="trusted_office" class="form-control" id="">
                                <option {{$row->trusted_office == 'true' ? 'selected' : ''}}  value="true">أثق به
                                </option>
                                <option {{$row->trusted_office == 'false' ? 'selected' : ''}} value="false">غير ثقه
                                </option>
                            </select>
                        </div>
                        @if ($errors->has('trusted_office'))
                            <small class="text-danger">{{ $errors->first('trusted_office') }}</small>
                        @endif
                    </div>


                </div>
                <div class="title-head">
                    <h4>تسعيرات الطلبات</h4>
                </div>
                <div class="row">
                    <div class="col-sm-4">
                        <div class="input-group">
                            <h6><strong>تسعيره إسم معين</strong></h6>
                            <input name="given_name_price" type="number" class="form-control"
                                   placeholder="تسعيره إسم معين" value="{{$row->given_name_price}}"
                                   id="">
                        </div>
                        @if ($errors->has('given_name_price'))
                            <small class="text-danger">{{ $errors->first('given_name_price') }}</small>
                        @endif
                    </div>
                    <div class="col-sm-4">
                        <div class="input-group">
                            <h6><strong>تسعيره خدمة معروفه</strong></h6>
                            <input name="given_service_price" type="number" class="form-control"
                                   placeholder="تسعيره خدمة معروفه" value="{{$row->given_service_price}}"
                                   id="">
                        </div>
                        @if ($errors->has('given_service_price'))
                            <small class="text-danger">{{ $errors->first('given_service_price') }}</small>
                        @endif
                    </div>
                    <div class="col-sm-4">
                        <div class="input-group">
                            <h6><strong>تسعيره طلب حسب المواصفات</strong></h6>
                            <input name="as_requested_price" type="number" class="form-control"
                                   placeholder="تسعيره طلب حسب المواصفات" value="{{$row->as_requested_price}}"
                                   id="">
                        </div>
                        @if ($errors->has('as_requested_price'))
                            <small class="text-danger">{{ $errors->first('as_requested_price') }}</small>
                        @endif
                    </div>
                </div>


                <div class="clearfix"></div>


            </div>
            <div class="col-sm-12 col-md-12 col-lg-12">
                <button type="submit" class="form-butt">تعديل</button>
            </div>
        </div>
    </form>


</div>

<!-- start body content -->

@include('admin.controllers.footer')
