<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, shrink-to-fit=no"/>
    <meta http-equiv="X-UA-Compatible" content="ie=edge"/>
    <!-- Tab Title -->
    <title>@lang('data.siteName')</title>
    <!-- Shortcut Icon -->
    <link rel="shortcut icon" href="{{asset('site/client/images/logoicon.png')}}"/>
    <!-- Font Awesome Css -->
    <link rel="stylesheet" href="{{asset('site/client/css/font-awesome.min.css')}}"/>
    <!-- Bootstrap Css -->
    <link rel="stylesheet" href="{{asset('site/client/css/bootstrap-e.min.css')}}"/>
    <link rel="stylesheet" href="{{asset('site/client/css/bootstrap-a.min.css')}}"/>
    <!-- en - font -->
    <!-- <link rel="stylesheet" href="fonts/font/stylesheet.css" /> -->
    <!-- ar - font -->
    <link rel="stylesheet" href="{{asset('site/client/fonts/font/ar/stylesheet.css')}}"/>

    <link rel="stylesheet" href="{{asset('site/client/fonts/icons/css/fontello.css')}}"/>
    <link rel="stylesheet" href="{{asset('site/client/fonts/fontello/css/fontello.css')}}"/>

    <link rel="stylesheet" type="text/css" href="{{asset('site/client/css/slick.css')}}"/>
    <link rel="stylesheet" type="text/css" href="{{asset('site/client/css/slick-theme.css')}}"/>
    <!-- Owl carousel -->
    <link rel="stylesheet" href="{{asset('site/client/css/owl.carousel.min.css')}}" type="text/css">
    <link rel="stylesheet" href="{{asset('site/client/css/owl.theme.default.min.css')}}" type="text/css">
    <!-- Lightbox -->
    <link rel="stylesheet" href="{{asset('site/client/css/lightbox.css')}}"/>
    <!-- Styling File -->
    <link rel="stylesheet" href="{{asset('site/client/css/main-ar/main.css')}}"/>


    <!-- <link rel="stylesheet" href="css/main.css" /> -->


    <style>

        /* Text alignment for body */
        /* body {
            text-align: center;
        }  */

        #worker_name {
            display: none;
        }

        @-webkit-keyframes modal-animation {
            from {
                top: -100px;
                opacity: 0;
            }
            to {
                top: 0px;
                opacity: 1;
            }
        }

        @keyframes modal-animation {
            from {
                top: -100px;
                opacity: 0;
            }
            to {
                top: 0px;
                opacity: 1;
            }
        }
    </style>

</head>
<body>

@include('sweetalert::alert')

<header>


    <!-- navbar -->
    <nav class="navbar">
        <div class="container">
            <div class="navbar-header">
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#myNavbar">
                    <span class="fa fa-bars color-primary"></span>
                </button>
                <!-- <a class="navbar-brand" href="#">
                    <img src="images/001.png" alt="">
                </a> -->
            </div>
            <div class="collapse navbar-collapse" id="myNavbar">
                <ul class="nav navbar-nav ">
                    <li>
                        <a href="{{route('client_home')}}" class="p-absolute">
                            <img src="{{asset('site/client/images/logo.png')}}" width="80px" alt="">
                        </a>
                    </li>
                    <li class="active"><a href="{{route('client_home')}}" class="main-link">@lang('data.home')</a></li>
                    <li><a href="{{route('client_about_us')}}" class="main-link">@lang('data.who_we')</a></li>
                    @if(\Auth::check())
                        <li><a href="{{route('client_orders')}}" class="main-link">@lang('data.orders')</a></li>
                        <li><a href="{{route('client_alerts')}}" class="main-link">@lang('data.notifications')</a>
                        </li>
                        <li><a href="{{route('client_complaints')}}" class="main-link">@lang('data.complaints')</a></li>
                    @endif

                </ul>


                <ul class="nav navbar-nav  navbar-right">
                    @if(\App::getLocale() == 'en')
                        <li><a href="{{route('language','ar')}}"> اللغه العربية</a></li>
                    @else
                        <li><a href="{{route('language','en')}}"> English</a></li>
                    @endif
                </ul>
            </div>
        </div>
    </nav>
</header>
