@include('site.foreign.controllers.upper-header')
@include('site.foreign.controllers.header')


<div class="basic" id="basic-slider">
    <div class="owl-carousel">
        @foreach($sliders as $slider)
            <div class="item">
                <div class="title-caro">
                    <p class="animate__animated animate__bounceInUp">


                    </p>
                    <h2>{{$slider->description[App::getLocale()]}}</h2>
                </div>
                <div>
                    <img src="{{$slider->image}}" alt="">
                </div>
            </div>
        @endforeach
    </div>
</div>


<div class="order">
    <div class="container">
        <div class="order-title">
            <h2>@lang('data.ourOrders')</h2>
        </div>
        <div class="row">
            <div class="col-sm-12 col-md-6 col-lg-4">
                <div class="order-card">
                    <span>
                        <img src="{{asset('site/saudi/images/2person.svg')}}" alt="">
                    </span>
                    <p>@lang('data.requestAsPerSpecification')</p>
                </div>
            </div>
            <div class="col-sm-12 col-md-6 col-lg-4">
                <div class="order-card">
                    <span>
                        <img src="{{asset('site/saudi/images/id.svg')}}" alt="">
                    </span>
                    <p>@lang('data.requestAName')</p>
                </div>
            </div>
            <div class="col-sm-12 col-md-6 col-lg-4">
                <div class="order-card">
                    <span>
                        <img src="{{asset('site/saudi/images/group.svg')}}" alt="">
                    </span>
                    <p>@lang('data.requestAKnownService')</p>
                </div>
            </div>
        </div>
    </div>
</div>



@if(\Auth::check())
    <!-- end order -->
    <div class="last-order">
        <div class="container">
            <div class="last-orde-title">
                <h4>@lang('data.latestOrders')</h4>
                <a href="{{route('order_foreign')}}">@lang('data.showAll')</a>
            </div>
            <div class="box-border">
                <div class="table-responsive">
                    <table class="table table-bordered text-center">
                        <thead>
                        <tr>
                            <th>@lang('data.order_no')</th>
                            <th>@lang('data.name')</th>
                            <th>@lang('data.status')</th>
                            <th>@lang('data.orderType')</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($orders as $order)
                            <tr>
                                <td><a href="{{route('worker_order',$order->id)}}"><span
                                            style="color: white;background:gray ">{{$order->code}}</span></a></td>
                                <td style="margin-top: 15px"> {{$order->client_name}}</td>
                                <td>{{order_status($order->status)}}</td>
                                <td>{{order_type($order->type)}}</td>
                            </tr>
                            @if($loop->iteration == 5) break; @endif
                        @endforeach


                        </tbody>
                    </table>
                </div>
            </div>
            <hr class="mt-60 mb-60">
            <div class="row">
                <div class="col-sm-12 col-md-12 col-lg-6">
                    <div class="last-orde-title">
                        <h4>@lang('data.tasksAndComplaints')</h4>
                        <a href="{{route('foreign_complaints')}}">@lang('data.showAll')</a>
                    </div>
                    <div class="box-border">
                        <div class="propl">
                            {{--                            <a href="{{route('foreign_complaints')}}">إضافة مهمة</a>--}}


                            <div style="margin: 5px" class="table-responsive">
                                @if(\App\Models\Complaint::whereHas('order',function ($order){
    $order->where('office_id',\Auth::id());
                    })->count() > 0)
                                    <table class="table table-bordered">
                                        <thead>
                                        <tr>
                                            <th>@lang('data.complaint_no')</th>
                                            <th>@lang('data.complainant')</th>
                                            <th>@lang('data.complaint_status')</th>
                                            <th>@lang('data.complaintNotes')</th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        @foreach($complaints as $complaint)
                                            <tr>
                                                <td><span class="id-c">{{$complaint->code}}</span></td>
                                                <td>{{$complaint->client->name}}</td>
                                                <td>{{getComplaintStatus($complaint->status)}}</td>
                                                <td>{{$complaint->notes}}</td>
                                            </tr>

                                        @endforeach
                                        </tbody>
                                    </table>
                                @else
                                    <h3>{{Lang::get('data.noComplaints')}}</h3>

                                @endif
                            </div>

                            <ul>

                                <li>
                                    <span>{{foreignComplaintCount('new')}}</span>
                                    <span>@lang('data.new')</span>
                                </li>

                                <li class="c-2">
                                    <span>{{foreignComplaintCount('contacted')}}</span>
                                    <span>@lang('data.contacted')</span>
                                </li>

                                <li class="c-3">
                                    <span>{{foreignComplaintCount('closed')}}</span>
                                    <span>@lang('data.closed')</span>
                                </li>

                            </ul>
                        </div>
                    </div>
                </div>


                <div class="col-sm-12 col-md-12 col-lg-6">
                    <div class="last-orde-title">
                        <h4>@lang('data.latestAlerts')</h4>
                        <a href="{{route('foreign_alerts')}}">@lang('data.showAll')</a>
                    </div>
                    <div class="box-border">
                        <div class="table-responsive">
                            @if(\App\Models\Alert::count() > 0)
                                <table class="table table-bordered">
                                    <thead>
                                    <tr>
                                        <th>@lang('data.alert_no')</th>
                                        <th>@lang('data.name')</th>
                                        <th>@lang('data.alert_status')</th>
                                        <th>@lang('data.alertNotes')</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    @foreach($alerts as $alert)
                                        <tr>
                                            <td><span class="id-c">{{$alert->id}}</span></td>
                                            <td>{{$alert->user->name}}</td>
                                            <td>{{$alert->status == 'new' ? Lang::get('data.new') : Lang::get('data.closed')}}</td>
                                            <td>{{$alert->notes}}</td>
                                        </tr>


{{--                                        <h3>@lang('data.thereAreNoAlerts')</h3>--}}
                                    @endforeach

                                    </tbody>
                                </table>
                            @else
{{--                                <h3>@lang('data.thereAreNoAlerts') </h3>--}}
                            @endif
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

@endif

@include('site.foreign.controllers.footer')
