<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, shrink-to-fit=no"/>
    <meta http-equiv="X-UA-Compatible" content="ie=edge"/>
    <!-- Tab Title -->
    <title><?php echo app('translator')->get('data.siteName'); ?></title>
    <!-- Shortcut Icon -->
    <link rel="shortcut icon" href="<?php echo e(asset('site/client/images/logoicon.png')); ?>"/>
    <!-- Font Awesome Css -->
    <link rel="stylesheet" href="<?php echo e(asset('site/client/css/font-awesome.min.css')); ?>"/>
    <!-- Bootstrap Css -->
    <link rel="stylesheet" href="<?php echo e(asset('site/client/css/bootstrap-e.min.css')); ?>"/>
    <link rel="stylesheet" href="<?php echo e(asset('site/client/css/bootstrap-a.min.css')); ?>"/>
    <!-- en - font -->
    <!-- <link rel="stylesheet" href="fonts/font/stylesheet.css" /> -->
    <!-- ar - font -->
    <link rel="stylesheet" href="<?php echo e(asset('site/client/fonts/font/ar/stylesheet.css')); ?>"/>

    <link rel="stylesheet" href="<?php echo e(asset('site/client/fonts/icons/css/fontello.css')); ?>"/>
    <link rel="stylesheet" href="<?php echo e(asset('site/client/fonts/fontello/css/fontello.css')); ?>"/>

    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('site/client/css/slick.css')); ?>"/>
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('site/client/css/slick-theme.css')); ?>"/>
    <!-- Owl carousel -->
    <link rel="stylesheet" href="<?php echo e(asset('site/client/css/owl.carousel.min.css')); ?>" type="text/css">
    <link rel="stylesheet" href="<?php echo e(asset('site/client/css/owl.theme.default.min.css')); ?>" type="text/css">
    <!-- Lightbox -->
    <link rel="stylesheet" href="<?php echo e(asset('site/client/css/lightbox.css')); ?>"/>
    <!-- Styling File -->
    <link rel="stylesheet" href="<?php echo e(asset('site/client/css/main-ar/main.css')); ?>"/>


    <!-- <link rel="stylesheet" href="css/main.css" /> -->


    <style>

        /* Text alignment for body */
        /* body {
            text-align: center;
        }  */

        #worker_name {
            display: none;
        }

        @-webkit-keyframes modal-animation {
            from {
                top: -100px;
                opacity: 0;
            }
            to {
                top: 0px;
                opacity: 1;
            }
        }

        @keyframes  modal-animation {
            from {
                top: -100px;
                opacity: 0;
            }
            to {
                top: 0px;
                opacity: 1;
            }
        }
    </style>

</head>
<body>

<?php echo $__env->make('sweetalert::alert', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<header>


    <!-- navbar -->
    <nav class="navbar">
        <div class="container">
            <div class="navbar-header">
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#myNavbar">
                    <span class="fa fa-bars color-primary"></span>
                </button>
                <!-- <a class="navbar-brand" href="#">
                    <img src="images/001.png" alt="">
                </a> -->
            </div>
            <div class="collapse navbar-collapse" id="myNavbar">
                <ul class="nav navbar-nav ">
                    <li>
                        <a href="<?php echo e(route('client_home')); ?>" class="p-absolute">
                            <img src="<?php echo e(asset('site/client/images/logo.png')); ?>" width="80px" alt="">
                        </a>
                    </li>
                    <li class="active"><a href="<?php echo e(route('client_home')); ?>" class="main-link"><?php echo app('translator')->get('data.home'); ?></a></li>
                    <li><a href="<?php echo e(route('client_about_us')); ?>" class="main-link"><?php echo app('translator')->get('data.who_we'); ?></a></li>
                    <?php if(\Auth::check()): ?>
                        <li><a href="<?php echo e(route('client_orders')); ?>" class="main-link"><?php echo app('translator')->get('data.orders'); ?></a></li>
                        <li><a href="<?php echo e(route('client_alerts')); ?>" class="main-link"><?php echo app('translator')->get('data.notifications'); ?></a>
                        </li>
                        <li><a href="<?php echo e(route('client_complaints')); ?>" class="main-link"><?php echo app('translator')->get('data.complaints'); ?></a></li>
                    <?php endif; ?>

                </ul>


                <ul class="nav navbar-nav  navbar-right">
                    <?php if(\App::getLocale() == 'en'): ?>
                        <li><a href="<?php echo e(route('language','ar')); ?>"> اللغه العربية</a></li>
                    <?php else: ?>
                        <li><a href="<?php echo e(route('language','en')); ?>"> English</a></li>
                    <?php endif; ?>
                </ul>
            </div>
        </div>
    </nav>
</header>
<?php /**PATH /home/alkhalaffamily/public_html/hajar/resources/views/site/client/controllers/header.blade.php ENDPATH**/ ?>